PDA

View Full Version : Can anyone answer this for me plase



karatekidrocks
December 4th, 2005, 22:12
Hey guys, im really new here, so dont beat me down for asking something that has been posted about a million times, im sure.

Anyways, Ive got GTA liberty city and it updated my software to 2.0 but i'd really like to play some super nintendo roms. Is there any way I can? Also, can I go back to 1.5 so that I can play them?

Thanks

MGFox
December 4th, 2005, 22:46
Well, both really...You can play homebrew on a 2.00 PSP using Fanjitas Eboot Loader, and there is also a 2.00 to 1.50 Downgrader available.

I frequently use the Eboot Loader but I've personally never tried the downgrader, an unofficial firmware adjuster doesn't appeal to me or my 200 PSP...but I'm know many people on these forums have successfully downgraded, and if you're lucky they may enlighten you with their experiances!

Cheers,
Fox

SketchPCIS
December 5th, 2005, 02:06
I wouldn't recomend switching your firmware all the time...eventually you will end up with a brick. But my first attempt to downgrade worked perfectly, and then I upgraded after learning about the EBoot loader (Like 30 min after I downgraded :P) but it still works great, no errors or hangups.

Except with the Loader, but nothing too major.

urmom9388
December 5th, 2005, 02:14
I have used the eboot loader which is probably the best thing to do in your case but I downgraded because 1.5 supports much more homebrew. If you want to downgrade I can help you with that. I have downgraded at least 7 times without a problem.

vaza
December 5th, 2005, 18:20
the eboot loader is still good, i use it and find that there are no problems in using it.
its also good if u want the internet browser, gta and homebrew at the same time.
A snes emulator works on it and i hear that is runs perfectly, it is called SNESTYL 2c (or something like that).